--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: buoy; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE buoy (
    pk_buoy integer NOT NULL,
    platform_id character varying(30) NOT NULL,
    type integer,
    system integer,
    manufacturer character varying(30) NOT NULL,
    date_man timestamp without time zone NOT NULL,
    active boolean NOT NULL,
    description character varying(300)
);


ALTER TABLE public.buoy OWNER TO postgres;

--
-- Name: buoy_pk_buoy_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE buoy_pk_buoy_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.buoy_pk_buoy_seq OWNER TO postgres;

--
-- Name: buoy_pk_buoy_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE buoy_pk_buoy_seq OWNED BY buoy.pk_buoy;


--
-- Name: buoy_pk_buoy_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('buoy_pk_buoy_seq', 2, true);


--
-- Name: buoy_project; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE buoy_project (
    pk_buoy_project integer NOT NULL,
    buoy integer NOT NULL,
    project integer NOT NULL,
    assigned boolean NOT NULL
);


ALTER TABLE public.buoy_project OWNER TO postgres;

--
-- Name: buoy_project_pk_buoy_project_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE buoy_project_pk_buoy_project_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.buoy_project_pk_buoy_project_seq OWNER TO postgres;

--
-- Name: buoy_project_pk_buoy_project_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE buoy_project_pk_buoy_project_seq OWNED BY buoy_project.pk_buoy_project;


--
-- Name: buoy_project_pk_buoy_project_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('buoy_project_pk_buoy_project_seq', 3, true);


--
-- Name: buoy_type; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE buoy_type (
    pk_buoy_type integer NOT NULL,
    name character varying(30) NOT NULL,
    description character varying(300)
);


ALTER TABLE public.buoy_type OWNER TO postgres;

--
-- Name: buoy_type_pk_buoy_type_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE buoy_type_pk_buoy_type_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.buoy_type_pk_buoy_type_seq OWNER TO postgres;

--
-- Name: buoy_type_pk_buoy_type_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE buoy_type_pk_buoy_type_seq OWNED BY buoy_type.pk_buoy_type;


--
-- Name: buoy_type_pk_buoy_type_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('buoy_type_pk_buoy_type_seq', 1, true);


--
-- Name: measure; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE measure (
    pk_measure integer NOT NULL,
    buoy integer NOT NULL,
    project integer NOT NULL,
    datetime timestamp without time zone NOT NULL,
    latitude real NOT NULL,
    longitude real NOT NULL,
    signal_power integer NOT NULL,
    holley_sock boolean DEFAULT false NOT NULL,
    "pos_isGPS" boolean DEFAULT false NOT NULL
);


ALTER TABLE public.measure OWNER TO postgres;

--
-- Name: measure_freq; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE measure_freq (
    pk_measure_freq integer NOT NULL,
    buoy integer NOT NULL,
    "deltaTmeasure" real NOT NULL,
    "averageMeasure" real NOT NULL,
    "deltaTrans" real NOT NULL,
    date_revision timestamp without time zone NOT NULL
);


ALTER TABLE public.measure_freq OWNER TO postgres;

--
-- Name: measure_freq_pk_measure_freq_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE measure_freq_pk_measure_freq_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.measure_freq_pk_measure_freq_seq OWNER TO postgres;

--
-- Name: measure_freq_pk_measure_freq_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE measure_freq_pk_measure_freq_seq OWNED BY measure_freq.pk_measure_freq;


--
-- Name: measure_freq_pk_measure_freq_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('measure_freq_pk_measure_freq_seq', 2, true);


--
-- Name: measure_pk_measure_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE measure_pk_measure_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.measure_pk_measure_seq OWNER TO postgres;

--
-- Name: measure_pk_measure_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE measure_pk_measure_seq OWNED BY measure.pk_measure;


--
-- Name: measure_pk_measure_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('measure_pk_measure_seq', 632, true);


--
-- Name: measure_sensor; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE measure_sensor (
    pk_measure_sensor integer NOT NULL,
    measure integer NOT NULL,
    type integer NOT NULL,
    value real NOT NULL,
    deep real DEFAULT 0 NOT NULL
);


ALTER TABLE public.measure_sensor OWNER TO postgres;

--
-- Name: measure_sensor_pk_measure_sensor_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE measure_sensor_pk_measure_sensor_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.measure_sensor_pk_measure_sensor_seq OWNER TO postgres;

--
-- Name: measure_sensor_pk_measure_sensor_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE measure_sensor_pk_measure_sensor_seq OWNED BY measure_sensor.pk_measure_sensor;


--
-- Name: measure_sensor_pk_measure_sensor_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('measure_sensor_pk_measure_sensor_seq', 805, true);


--
-- Name: project; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE project (
    pk_project integer NOT NULL,
    name character varying(30) NOT NULL,
    manager_name character varying(30) NOT NULL,
    filiation character varying(30) NOT NULL,
    "user" character varying(30) NOT NULL,
    password character varying(30) NOT NULL,
    date_start timestamp without time zone NOT NULL,
    date_end timestamp without time zone NOT NULL,
    description character varying(300)
);


ALTER TABLE public.project OWNER TO postgres;

--
-- Name: project_pk_project_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE project_pk_project_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.project_pk_project_seq OWNER TO postgres;

--
-- Name: project_pk_project_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE project_pk_project_seq OWNED BY project.pk_project;


--
-- Name: project_pk_project_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('project_pk_project_seq', 1, true);


--
-- Name: satellite_system; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE satellite_system (
    pk_satellite integer NOT NULL,
    name character varying(30) NOT NULL,
    frequency real NOT NULL,
    url character varying(50) NOT NULL,
    description character varying(300)
);


ALTER TABLE public.satellite_system OWNER TO postgres;

--
-- Name: satellite_system_description_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE satellite_system_description_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.satellite_system_description_seq OWNER TO postgres;

--
-- Name: satellite_system_description_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE satellite_system_description_seq OWNED BY satellite_system.description;


--
-- Name: satellite_system_description_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('satellite_system_description_seq', 1, false);


--
-- Name: satellite_system_pk_satellite_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE satellite_system_pk_satellite_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.satellite_system_pk_satellite_seq OWNER TO postgres;

--
-- Name: satellite_system_pk_satellite_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE satellite_system_pk_satellite_seq OWNED BY satellite_system.pk_satellite;


--
-- Name: satellite_system_pk_satellite_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('satellite_system_pk_satellite_seq', 1, true);


--
-- Name: sensor_type; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sensor_type (
    pk_sensor integer NOT NULL,
    name character varying(30) NOT NULL,
    physical_units character varying(30) NOT NULL,
    min_value real NOT NULL,
    max_value real NOT NULL,
    description character varying(300)
);


ALTER TABLE public.sensor_type OWNER TO postgres;

--
-- Name: sensor_type_pk_sensor_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sensor_type_pk_sensor_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sensor_type_pk_sensor_seq OWNER TO postgres;

--
-- Name: sensor_type_pk_sensor_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sensor_type_pk_sensor_seq OWNED BY sensor_type.pk_sensor;


--
-- Name: sensor_type_pk_sensor_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sensor_type_pk_sensor_seq', 2, true);


--
-- Name: pk_buoy; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE buoy ALTER COLUMN pk_buoy SET DEFAULT nextval('buoy_pk_buoy_seq'::regclass);


--
-- Name: pk_buoy_project; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE buoy_project ALTER COLUMN pk_buoy_project SET DEFAULT nextval('buoy_project_pk_buoy_project_seq'::regclass);


--
-- Name: pk_buoy_type; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE buoy_type ALTER COLUMN pk_buoy_type SET DEFAULT nextval('buoy_type_pk_buoy_type_seq'::regclass);


--
-- Name: pk_measure; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE measure ALTER COLUMN pk_measure SET DEFAULT nextval('measure_pk_measure_seq'::regclass);


--
-- Name: pk_measure_freq; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE measure_freq ALTER COLUMN pk_measure_freq SET DEFAULT nextval('measure_freq_pk_measure_freq_seq'::regclass);


--
-- Name: pk_measure_sensor; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE measure_sensor ALTER COLUMN pk_measure_sensor SET DEFAULT nextval('measure_sensor_pk_measure_sensor_seq'::regclass);


--
-- Name: pk_project; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE project ALTER COLUMN pk_project SET DEFAULT nextval('project_pk_project_seq'::regclass);


--
-- Name: pk_satellite; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE satellite_system ALTER COLUMN pk_satellite SET DEFAULT nextval('satellite_system_pk_satellite_seq'::regclass);


--
-- Name: pk_sensor; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE sensor_type ALTER COLUMN pk_sensor SET DEFAULT nextval('sensor_type_pk_sensor_seq'::regclass);


--
-- Data for Name: buoy; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY buoy (pk_buoy, platform_id, type, system, manufacturer, date_man, active, description) FROM stdin;
1	73399	1	1	ICM	2010-02-14 10:00:00	t	
2	73398	1	1	ICM	2010-05-14 10:00:00	t	
\.


--
-- Data for Name: buoy_project; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY buoy_project (pk_buoy_project, buoy, project, assigned) FROM stdin;
2	1	1	t
3	2	1	t
\.


--
-- Data for Name: buoy_type; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY buoy_type (pk_buoy_type, name, description) FROM stdin;
1	Deriva	Typo de boya de prueba
\.


--
-- Data for Name: measure; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY measure (pk_measure, buoy, project, datetime, latitude, longitude, signal_power, holley_sock, "pos_isGPS") FROM stdin;
558	2	1	2011-04-08 09:18:00	-32.082001	55.195999	-119	f	f
559	2	1	2011-04-08 09:33:00	-32.073002	55.195	-124	f	f
560	2	1	2011-04-08 11:01:00	-32.067001	55.194	-118	f	f
561	2	1	2011-04-08 11:15:00	-32.071999	55.181999	-116	f	f
574	1	1	2011-04-06 13:16:00	24.569	-43.755001	-112	f	f
575	1	1	2011-04-06 15:14:00	24.568001	-43.783001	-120	f	f
382	2	1	2011-04-05 06:49:00	-32.424	55.981998	-118	f	f
383	2	1	2011-04-05 09:49:00	-32.395	55.955002	-118	f	f
384	2	1	2011-04-05 10:10:00	-32.389	55.959999	-117	f	f
385	2	1	2011-04-05 11:31:00	-32.368999	55.938	-120	f	f
386	2	1	2011-04-05 11:46:00	-32.368999	55.932999	-118	f	f
387	2	1	2011-04-06 06:23:00	-32.338001	55.743999	-114	f	f
388	2	1	2011-04-06 09:43:00	-32.325001	55.714001	-118	f	f
389	2	1	2011-04-06 09:58:00	-32.323002	55.707001	-119	f	f
390	2	1	2011-04-06 11:19:00	-32.314999	55.696999	-117	f	f
391	2	1	2011-04-06 11:41:00	-32.314999	55.693001	-116	f	f
392	2	1	2011-04-07 09:30:00	-32.284	55.463001	-117	f	f
393	2	1	2011-04-07 09:49:00	-32.279999	55.466999	-120	f	f
394	2	1	2011-04-07 11:12:00	-32.271999	55.458	-118	f	f
395	2	1	2011-04-07 11:29:00	-32.27	55.452	-116	f	f
410	1	1	2011-04-05 00:50:00	24.566	-43.734001	-112	f	f
411	1	1	2011-04-05 03:54:00	24.563	-43.729	-118	f	f
412	1	1	2011-04-05 04:15:00	24.559	-43.719002	-122	f	f
413	1	1	2011-04-05 05:37:00	24.556999	-43.723999	-122	f	f
414	1	1	2011-04-05 05:53:00	24.552999	-43.722	-118	f	f
415	1	1	2011-04-05 07:05:00	24.552	-43.721001	-116	f	f
416	1	1	2011-04-05 08:42:00	24.548	-43.724998	-118	f	f
417	1	1	2011-04-05 09:37:00	24.552	-43.730999	-121	f	f
418	1	1	2011-04-05 10:09:00	24.549	-43.737	-123	f	f
419	1	1	2011-04-05 11:17:00	24.556999	-43.749001	-116	f	f
420	1	1	2011-04-05 11:39:00	24.558001	-43.750999	-116	f	f
421	1	1	2011-04-05 11:54:00	24.555	-43.754002	-121	f	f
422	1	1	2011-04-05 13:16:00	24.569	-43.755001	-112	f	f
423	1	1	2011-04-05 15:14:00	24.568001	-43.783001	-120	f	f
424	1	1	2011-04-05 15:29:00	24.573	-43.798	-121	f	f
425	1	1	2011-04-05 16:50:00	24.556999	-43.771999	-119	f	f
426	1	1	2011-04-05 17:05:00	24.580999	-43.771999	-121	f	f
427	1	1	2011-04-05 18:12:00	24.566	-43.754002	-119	f	f
428	1	1	2011-04-05 19:55:00	24.591	-43.773998	-117	f	f
429	1	1	2011-04-05 20:54:00	24.593	-43.778999	-122	f	f
430	1	1	2011-04-05 21:25:00	24.596001	-43.778999	-127	f	f
431	1	1	2011-04-05 22:37:00	24.610001	-43.778	-120	f	f
432	1	1	2011-04-05 22:52:00	24.614	-43.787998	-117	f	f
433	1	1	2011-04-05 23:01:00	24.615999	-43.771999	-118	f	f
434	1	1	2011-04-06 00:29:00	24.625999	-43.771	-111	f	f
435	1	1	2011-04-06 03:41:00	24.634001	-43.77	-122	f	f
436	1	1	2011-04-06 04:04:00	24.636	-43.764	-125	f	f
437	1	1	2011-04-06 05:25:00	24.636	-43.755001	-118	f	f
438	1	1	2011-04-06 05:40:00	24.641001	-43.765999	-118	f	f
439	1	1	2011-04-06 06:38:00	24.638	-43.761002	-119	f	f
440	1	1	2011-04-06 08:15:00	24.641001	-43.762001	-116	f	f
441	1	1	2011-04-06 09:22:00	24.641001	-43.778999	-124	f	f
442	1	1	2011-04-06 11:05:00	24.646999	-43.764	-118	f	f
443	1	1	2011-04-06 11:18:00	24.649	-43.764	-120	f	f
444	1	1	2011-04-06 12:54:00	24.65	-43.758999	-115	f	f
445	1	1	2011-04-06 15:01:00	24.65	-43.764999	-122	f	f
446	1	1	2011-04-06 16:44:00	24.662001	-43.762001	-118	f	f
447	1	1	2011-04-06 17:51:00	24.653999	-43.759998	-122	f	f
448	1	1	2011-04-06 18:42:00	24.666	-43.762001	-125	f	f
449	1	1	2011-04-06 19:34:00	24.672001	-43.751999	-118	f	f
450	1	1	2011-04-06 22:25:00	24.676001	-43.766998	-119	f	f
451	1	1	2011-04-06 22:28:00	24.653	-43.782001	-123	f	f
452	1	1	2011-04-06 22:40:00	24.671	-43.779999	-117	f	f
453	1	1	2011-04-07 00:24:00	24.68	-43.772999	-122	f	f
454	1	1	2011-04-07 01:50:00	24.681999	-43.776001	-121	f	f
455	1	1	2011-04-07 03:36:00	24.697001	-43.792999	-120	f	f
456	1	1	2011-04-07 05:12:00	24.691999	-43.778	-118	f	f
457	1	1	2011-04-07 06:12:00	24.714001	-43.773998	-124	f	f
458	1	1	2011-04-07 07:09:00	24.712	-43.785999	-127	f	f
459	1	1	2011-04-07 09:13:00	24.719999	-43.808998	-124	f	f
460	1	1	2011-04-07 10:45:00	24.73	-43.790001	-120	f	f
461	1	1	2011-04-07 11:07:00	24.724001	-43.779999	-118	f	f
462	1	1	2011-04-07 12:35:00	24.728001	-43.779999	-111	f	f
463	1	1	2011-04-07 12:41:00	24.74	-43.775002	-123	f	f
464	1	1	2011-04-07 14:11:00	24.747	-43.778	-119	f	f
465	1	1	2011-04-07 14:55:00	24.759001	-43.762001	-122	f	f
466	1	1	2011-04-07 20:27:00	24.740999	-43.758999	-128	f	f
467	1	1	2011-04-07 20:46:00	24.75	-43.754002	-122	f	f
468	1	1	2011-04-07 22:19:00	24.737	-43.762001	-119	f	f
469	1	1	2011-04-07 23:49:00	24.728001	-43.759998	-116	f	f
576	1	1	2011-04-06 15:29:00	24.573	-43.798	-121	f	f
577	1	1	2011-04-06 16:50:00	24.556999	-43.771999	-119	f	f
578	1	1	2011-04-06 17:05:00	24.580999	-43.771999	-121	f	f
579	1	1	2011-04-06 18:12:00	24.566	-43.754002	-119	f	f
580	1	1	2011-04-06 19:55:00	24.591	-43.773998	-117	f	f
581	1	1	2011-04-06 20:54:00	24.593	-43.778999	-122	f	f
582	1	1	2011-04-06 21:25:00	24.596001	-43.778999	-127	f	f
583	1	1	2011-04-06 22:37:00	24.610001	-43.778	-120	f	f
584	1	1	2011-04-06 22:52:00	24.614	-43.787998	-117	f	f
585	1	1	2011-04-06 23:01:00	24.615999	-43.771999	-118	f	f
596	1	1	2011-04-07 12:54:00	24.65	-43.758999	-115	f	f
597	1	1	2011-04-07 15:01:00	24.65	-43.764999	-122	f	f
598	1	1	2011-04-07 16:44:00	24.662001	-43.762001	-118	f	f
599	1	1	2011-04-07 17:51:00	24.653999	-43.759998	-122	f	f
600	1	1	2011-04-07 18:42:00	24.666	-43.762001	-125	f	f
601	1	1	2011-04-07 19:34:00	24.672001	-43.751999	-118	f	f
602	1	1	2011-04-07 22:25:00	24.676001	-43.766998	-119	f	f
603	1	1	2011-04-07 22:28:00	24.653	-43.782001	-123	f	f
604	1	1	2011-04-07 22:40:00	24.671	-43.779999	-117	f	f
614	1	1	2011-04-08 12:35:00	24.728001	-43.779999	-111	f	f
615	1	1	2011-04-08 12:41:00	24.74	-43.775002	-123	f	f
616	1	1	2011-04-08 14:11:00	24.747	-43.778	-119	f	f
617	1	1	2011-04-08 14:55:00	24.759001	-43.762001	-122	f	f
618	1	1	2011-04-08 20:27:00	24.740999	-43.758999	-128	f	f
619	1	1	2011-04-08 20:46:00	24.75	-43.754002	-122	f	f
620	1	1	2011-04-08 22:19:00	24.737	-43.762001	-119	f	f
621	1	1	2011-04-08 23:49:00	24.728001	-43.759998	-116	f	f
622	1	1	2011-04-08 00:01:00	24.729	-43.765999	-120	f	f
623	1	1	2011-04-08 01:25:00	24.723	-43.758999	-119	f	f
624	1	1	2011-04-08 03:22:00	24.718	-43.759998	-127	f	f
625	1	1	2011-04-08 05:07:00	24.722	-43.769001	-118	f	f
626	1	1	2011-04-08 07:02:00	24.719999	-43.782001	-125	f	f
627	1	1	2011-04-08 07:27:00	24.724001	-43.785999	-118	f	f
628	1	1	2011-04-08 09:10:00	24.726	-43.778999	-117	f	f
629	1	1	2011-04-08 10:40:00	24.745001	-43.807999	-120	f	f
630	1	1	2011-04-09 12:16:00	24.740999	-43.775002	-112	f	f
631	1	1	2011-04-09 12:20:00	24.77	-43.813	-126	f	f
632	1	1	2011-04-09 14:42:00	24.739	-43.775002	-123	f	f
\.


--
-- Data for Name: measure_freq; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY measure_freq (pk_measure_freq, buoy, "deltaTmeasure", "averageMeasure", "deltaTrans", date_revision) FROM stdin;
1	1	10	20	10	2011-02-14 10:00:00
2	2	10	20	10	2011-02-14 10:00:00
\.


--
-- Data for Name: measure_sensor; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY measure_sensor (pk_measure_sensor, measure, type, value, deep) FROM stdin;
570	382	1	22.366699	0
571	382	2	49.631599	0
572	383	1	22.363001	0
573	383	2	49.635201	0
574	384	1	22.356899	0
575	384	2	49.651402	0
576	385	1	22.3459	0
577	385	2	49.6157	0
578	386	1	22.336201	0
579	386	2	49.5527	0
580	387	1	22.101801	0
581	387	2	49.219299	0
582	388	1	22.1688	0
583	388	2	49.516998	0
584	389	1	22.177999	0
585	389	2	49.521	0
586	390	1	22.2031	0
587	390	2	49.308998	0
588	391	1	22.201401	0
589	391	2	49.319801	0
590	392	1	22.02	0
591	392	2	49.113998	0
592	393	1	21.997	0
593	393	2	48.981998	0
594	394	1	21.9935	0
595	394	2	48.9128	0
596	395	1	21.996599	0
597	395	2	48.9188	0
598	410	1	23.2281	0
599	410	2	54.358299	0
600	411	1	23.215599	0
601	411	2	54.344898	0
602	412	1	23.2127	0
603	412	2	54.343601	0
604	413	1	23.2062	0
605	413	2	54.334999	0
606	414	1	23.198299	0
607	414	2	54.327999	0
608	415	1	23.186399	0
609	415	2	54.314301	0
610	416	1	23.18	0
611	416	2	54.307499	0
612	417	1	23.183701	0
613	417	2	54.312199	0
614	418	1	23.1861	0
615	418	2	54.314701	0
616	419	1	23.1959	0
617	419	2	54.325699	0
618	420	1	23.1994	0
619	420	2	54.329498	0
620	421	1	23.1975	0
621	421	2	54.3274	0
622	422	1	23.2073	0
623	422	2	54.338799	0
624	423	1	23.2647	0
625	423	2	54.4021	0
626	424	1	23.306499	0
627	424	2	54.451	0
628	425	1	23.354	0
629	425	2	54.498299	0
630	426	1	23.401899	0
631	426	2	54.5541	0
632	427	1	23.487	0
633	427	2	54.648899	0
634	428	1	23.4688	0
635	428	2	54.634998	0
636	429	1	23.391001	0
637	429	2	54.546001	0
638	430	1	23.348801	0
639	430	2	54.4958	0
640	431	1	23.2973	0
641	431	2	54.444	0
642	432	1	23.311899	0
643	432	2	54.453098	0
644	433	1	23.303699	0
645	433	2	54.446701	0
646	434	1	23.285	0
647	434	2	54.424702	0
648	435	1	23.256701	0
649	435	2	54.3932	0
650	436	1	23.254999	0
651	436	2	54.392601	0
652	437	1	23.243	0
653	437	2	54.377899	0
654	438	1	23.2377	0
655	438	2	54.373001	0
656	439	1	23.231501	0
657	439	2	54.366501	0
658	440	1	23.217199	0
659	440	2	54.349602	0
660	441	1	23.218201	0
661	441	2	54.3526	0
662	442	1	23.254801	0
663	442	2	54.3936	0
664	443	1	23.2672	0
665	443	2	54.407902	0
666	444	1	23.405701	0
667	444	2	54.567001	0
668	445	1	23.6196	0
669	445	2	54.796001	0
670	446	1	23.783001	0
671	446	2	54.9715	0
672	447	1	23.7059	0
673	447	2	54.887402	0
674	448	1	23.6868	0
675	448	2	54.8638	0
676	449	1	23.7234	0
677	449	2	54.905102	0
678	450	1	23.5457	0
679	450	2	54.711399	0
680	451	1	23.5676	0
681	451	2	54.732601	0
682	452	1	23.5375	0
683	452	2	54.708	0
684	453	1	23.4951	0
685	453	2	54.659	0
686	454	1	23.5182	0
687	454	2	54.6763	0
688	455	1	23.4757	0
689	455	2	54.6278	0
690	456	1	23.437201	0
691	456	2	54.5853	0
692	457	1	23.4123	0
693	457	2	54.557701	0
694	458	1	23.388901	0
695	458	2	54.531601	0
696	459	1	23.3482	0
697	459	2	54.489799	0
698	460	1	23.3519	0
699	460	2	54.4981	0
700	461	1	23.382	0
701	461	2	54.5252	0
702	462	1	23.4529	0
703	462	2	54.6031	0
704	463	1	23.458099	0
705	463	2	54.611401	0
706	464	1	23.5644	0
707	464	2	54.725899	0
708	465	1	23.6259	0
709	465	2	54.793201	0
710	466	1	23.587	0
711	466	2	54.747398	0
712	467	1	23.5898	0
713	467	2	54.750999	0
714	468	1	23.537901	0
715	468	2	54.6922	0
716	469	1	23.515699	0
717	469	2	54.667099	0
718	558	1	21.5287	0
719	558	2	48.822701	0
720	559	1	21.534201	0
721	559	2	48.834	0
722	560	1	21.528999	0
723	560	2	48.837299	0
724	561	1	21.5231	0
725	561	2	48.844002	0
726	574	1	23.2073	0
727	574	2	54.338799	0
728	575	1	23.2647	0
729	575	2	54.4021	0
730	576	1	23.306499	0
731	576	2	54.451	0
732	577	1	23.354	0
733	577	2	54.498299	0
734	578	1	23.401899	0
735	578	2	54.5541	0
736	579	1	23.487	0
737	579	2	54.648899	0
738	580	1	23.4688	0
739	580	2	54.634998	0
740	581	1	23.391001	0
741	581	2	54.546001	0
742	582	1	23.348801	0
743	582	2	54.4958	0
744	583	1	23.2973	0
745	583	2	54.444	0
746	584	1	23.311899	0
747	584	2	54.453098	0
748	585	1	23.303699	0
749	585	2	54.446701	0
750	596	1	23.405701	0
751	596	2	54.567001	0
752	597	1	23.6196	0
753	597	2	54.796001	0
754	598	1	23.783001	0
755	598	2	54.9715	0
756	599	1	23.7059	0
757	599	2	54.887402	0
758	600	1	23.6868	0
759	600	2	54.8638	0
760	601	1	23.7234	0
761	601	2	54.905102	0
762	602	1	23.5457	0
763	602	2	54.711399	0
764	603	1	23.5676	0
765	603	2	54.732601	0
766	604	1	23.5375	0
767	604	2	54.708	0
768	614	1	23.4529	0
769	614	2	54.6031	0
770	615	1	23.458099	0
771	615	2	54.611401	0
772	616	1	23.5644	0
773	616	2	54.725899	0
774	617	1	23.6259	0
775	617	2	54.793201	0
776	618	1	23.587	0
777	618	2	54.747398	0
778	619	1	23.5898	0
779	619	2	54.750999	0
780	620	1	23.537901	0
781	620	2	54.6922	0
782	621	1	23.515699	0
783	621	2	54.667099	0
784	622	1	23.5056	0
785	622	2	54.658699	0
786	623	1	23.4813	0
787	623	2	54.632198	0
788	624	1	23.4653	0
789	624	2	54.616699	0
790	625	1	23.428699	0
791	625	2	54.588001	0
792	626	1	23.406601	0
793	626	2	54.5555	0
794	627	1	23.384899	0
795	627	2	54.531898	0
796	628	1	23.3773	0
797	628	2	54.522301	0
798	629	1	23.3692	0
799	629	2	54.5168	0
800	630	1	23.4095	0
801	630	2	54.565399	0
802	631	1	23.4226	0
803	631	2	54.5751	0
804	632	1	23.455799	0
805	632	2	54.609699	0
\.


--
-- Data for Name: project; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY project (pk_project, name, manager_name, filiation, "user", password, date_start, date_end, description) FROM stdin;
1	1259	Joaquin Salvador	ICM	FONT	ALLISON	2011-02-14 10:00:00	2015-02-14 10:00:00	Proyecto por defecto para pruebas
\.


--
-- Data for Name: satellite_system; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY satellite_system (pk_satellite, name, frequency, url, description) FROM stdin;
1	ARGOS	666666	https://argos-system.cls.fr	ARGOS de prueba
\.


--
-- Data for Name: sensor_type; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY sensor_type (pk_sensor, name, physical_units, min_value, max_value, description) FROM stdin;
1	temperatura	grados centigrados	10	40	Sensor de temperatura de prueba
2	conductividad	milisiemens por centimetro	0	100	Sensor conductividad prueba
\.


--
-- Name: buoy_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY buoy
    ADD CONSTRAINT buoy_pkey PRIMARY KEY (pk_buoy);


--
-- Name: buoy_platform_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY buoy
    ADD CONSTRAINT buoy_platform_id_key UNIQUE (platform_id);


--
-- Name: buoy_project_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY buoy_project
    ADD CONSTRAINT buoy_project_pkey PRIMARY KEY (pk_buoy_project);


--
-- Name: buoy_type_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY buoy_type
    ADD CONSTRAINT buoy_type_name_key UNIQUE (name);


--
-- Name: buoy_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY buoy_type
    ADD CONSTRAINT buoy_type_pkey PRIMARY KEY (pk_buoy_type);


--
-- Name: measure_akey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY measure
    ADD CONSTRAINT measure_akey UNIQUE (buoy, datetime);


--
-- Name: measure_freq_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY measure_freq
    ADD CONSTRAINT measure_freq_pkey PRIMARY KEY (pk_measure_freq);


--
-- Name: measure_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY measure
    ADD CONSTRAINT measure_pkey PRIMARY KEY (pk_measure);


--
-- Name: measure_sensor_ak; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY measure_sensor
    ADD CONSTRAINT measure_sensor_ak UNIQUE (measure, type);


--
-- Name: measure_sensor_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY measure_sensor
    ADD CONSTRAINT measure_sensor_pkey PRIMARY KEY (pk_measure_sensor);


--
-- Name: project_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY project
    ADD CONSTRAINT project_name_key UNIQUE (name);


--
-- Name: project_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY project
    ADD CONSTRAINT project_pkey PRIMARY KEY (pk_project);


--
-- Name: satellite_system_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY satellite_system
    ADD CONSTRAINT satellite_system_name_key UNIQUE (name);


--
-- Name: satellite_system_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY satellite_system
    ADD CONSTRAINT satellite_system_pkey PRIMARY KEY (pk_satellite);


--
-- Name: sensor_type_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sensor_type
    ADD CONSTRAINT sensor_type_name_key UNIQUE (name);


--
-- Name: sensor_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sensor_type
    ADD CONSTRAINT sensor_type_pkey PRIMARY KEY (pk_sensor);


--
-- Name: buoy_project_buoy_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY buoy_project
    ADD CONSTRAINT buoy_project_buoy_fkey FOREIGN KEY (buoy) REFERENCES buoy(pk_buoy);


--
-- Name: buoy_project_project_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY buoy_project
    ADD CONSTRAINT buoy_project_project_fkey FOREIGN KEY (project) REFERENCES project(pk_project);


--
-- Name: buoy_system_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY buoy
    ADD CONSTRAINT buoy_system_fkey FOREIGN KEY (system) REFERENCES satellite_system(pk_satellite);


--
-- Name: buoy_type_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY buoy
    ADD CONSTRAINT buoy_type_fkey FOREIGN KEY (type) REFERENCES buoy_type(pk_buoy_type);


--
-- Name: masure_sensor_type_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY measure_sensor
    ADD CONSTRAINT masure_sensor_type_fkey FOREIGN KEY (type) REFERENCES sensor_type(pk_sensor);


--
-- Name: measure_buoy_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY measure
    ADD CONSTRAINT measure_buoy_fkey FOREIGN KEY (buoy) REFERENCES buoy(pk_buoy);


--
-- Name: measure_freq_buoy_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY measure_freq
    ADD CONSTRAINT measure_freq_buoy_fkey FOREIGN KEY (buoy) REFERENCES buoy(pk_buoy);


--
-- Name: measure_project_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY measure
    ADD CONSTRAINT measure_project_fkey FOREIGN KEY (project) REFERENCES project(pk_project);


--
-- Name: measure_sensor_measure_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY measure_sensor
    ADD CONSTRAINT measure_sensor_measure_fkey FOREIGN KEY (measure) REFERENCES measure(pk_measure);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

