--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: buoy; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE buoy (
    pk_buoy integer NOT NULL,
    platform_id character varying(30) NOT NULL,
    type integer,
    system integer,
    manufacturer character varying(30) NOT NULL,
    date_man timestamp without time zone NOT NULL,
    active boolean NOT NULL,
    description character varying(300)
);


ALTER TABLE public.buoy OWNER TO postgres;

--
-- Name: buoy_pk_buoy_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE buoy_pk_buoy_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.buoy_pk_buoy_seq OWNER TO postgres;

--
-- Name: buoy_pk_buoy_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE buoy_pk_buoy_seq OWNED BY buoy.pk_buoy;


--
-- Name: buoy_pk_buoy_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('buoy_pk_buoy_seq', 2, true);


--
-- Name: buoy_project; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE buoy_project (
    pk_buoy_project integer NOT NULL,
    buoy integer NOT NULL,
    project integer NOT NULL,
    assigned boolean NOT NULL
);


ALTER TABLE public.buoy_project OWNER TO postgres;

--
-- Name: buoy_project_pk_buoy_project_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE buoy_project_pk_buoy_project_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.buoy_project_pk_buoy_project_seq OWNER TO postgres;

--
-- Name: buoy_project_pk_buoy_project_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE buoy_project_pk_buoy_project_seq OWNED BY buoy_project.pk_buoy_project;


--
-- Name: buoy_project_pk_buoy_project_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('buoy_project_pk_buoy_project_seq', 3, true);


--
-- Name: buoy_type; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE buoy_type (
    pk_buoy_type integer NOT NULL,
    name character varying(30) NOT NULL,
    description character varying(300)
);


ALTER TABLE public.buoy_type OWNER TO postgres;

--
-- Name: buoy_type_pk_buoy_type_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE buoy_type_pk_buoy_type_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.buoy_type_pk_buoy_type_seq OWNER TO postgres;

--
-- Name: buoy_type_pk_buoy_type_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE buoy_type_pk_buoy_type_seq OWNED BY buoy_type.pk_buoy_type;


--
-- Name: buoy_type_pk_buoy_type_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('buoy_type_pk_buoy_type_seq', 1, true);


--
-- Name: measure; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE measure (
    pk_measure integer NOT NULL,
    buoy integer NOT NULL,
    project integer NOT NULL,
    datetime timestamp without time zone NOT NULL,
    latitude real NOT NULL,
    longitude real NOT NULL,
    signal_power integer NOT NULL,
    holley_sock boolean DEFAULT false NOT NULL,
    "pos_isGPS" boolean DEFAULT false NOT NULL
);


ALTER TABLE public.measure OWNER TO postgres;

--
-- Name: measure_freq; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE measure_freq (
    pk_measure_freq integer NOT NULL,
    buoy integer NOT NULL,
    "deltaTmeasure" real NOT NULL,
    "averageMeasure" real NOT NULL,
    "deltaTrans" real NOT NULL,
    date_revision timestamp without time zone NOT NULL
);


ALTER TABLE public.measure_freq OWNER TO postgres;

--
-- Name: measure_freq_pk_measure_freq_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE measure_freq_pk_measure_freq_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.measure_freq_pk_measure_freq_seq OWNER TO postgres;

--
-- Name: measure_freq_pk_measure_freq_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE measure_freq_pk_measure_freq_seq OWNED BY measure_freq.pk_measure_freq;


--
-- Name: measure_freq_pk_measure_freq_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('measure_freq_pk_measure_freq_seq', 2, true);


--
-- Name: measure_pk_measure_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE measure_pk_measure_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.measure_pk_measure_seq OWNER TO postgres;

--
-- Name: measure_pk_measure_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE measure_pk_measure_seq OWNED BY measure.pk_measure;


--
-- Name: measure_pk_measure_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('measure_pk_measure_seq', 632, true);


--
-- Name: measure_sensor; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE measure_sensor (
    pk_measure_sensor integer NOT NULL,
    measure integer NOT NULL,
    type integer NOT NULL,
    value real NOT NULL,
    deep real DEFAULT 0 NOT NULL
);


ALTER TABLE public.measure_sensor OWNER TO postgres;

--
-- Name: measure_sensor_pk_measure_sensor_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE measure_sensor_pk_measure_sensor_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.measure_sensor_pk_measure_sensor_seq OWNER TO postgres;

--
-- Name: measure_sensor_pk_measure_sensor_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE measure_sensor_pk_measure_sensor_seq OWNED BY measure_sensor.pk_measure_sensor;


--
-- Name: measure_sensor_pk_measure_sensor_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('measure_sensor_pk_measure_sensor_seq', 805, true);


--
-- Name: project; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE project (
    pk_project integer NOT NULL,
    name character varying(30) NOT NULL,
    manager_name character varying(30) NOT NULL,
    filiation character varying(30) NOT NULL,
    "user" character varying(30) NOT NULL,
    password character varying(30) NOT NULL,
    date_start timestamp without time zone NOT NULL,
    date_end timestamp without time zone NOT NULL,
    description character varying(300)
);


ALTER TABLE public.project OWNER TO postgres;

--
-- Name: project_pk_project_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE project_pk_project_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.project_pk_project_seq OWNER TO postgres;

--
-- Name: project_pk_project_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE project_pk_project_seq OWNED BY project.pk_project;


--
-- Name: project_pk_project_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('project_pk_project_seq', 1, true);


--
-- Name: satellite_system; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE satellite_system (
    pk_satellite integer NOT NULL,
    name character varying(30) NOT NULL,
    frequency real NOT NULL,
    url character varying(50) NOT NULL,
    description character varying(300)
);


ALTER TABLE public.satellite_system OWNER TO postgres;

--
-- Name: satellite_system_description_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE satellite_system_description_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.satellite_system_description_seq OWNER TO postgres;

--
-- Name: satellite_system_description_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE satellite_system_description_seq OWNED BY satellite_system.description;


--
-- Name: satellite_system_description_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('satellite_system_description_seq', 1, false);


--
-- Name: satellite_system_pk_satellite_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE satellite_system_pk_satellite_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.satellite_system_pk_satellite_seq OWNER TO postgres;

--
-- Name: satellite_system_pk_satellite_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE satellite_system_pk_satellite_seq OWNED BY satellite_system.pk_satellite;


--
-- Name: satellite_system_pk_satellite_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('satellite_system_pk_satellite_seq', 1, true);


--
-- Name: sensor_type; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sensor_type (
    pk_sensor integer NOT NULL,
    name character varying(30) NOT NULL,
    physical_units character varying(30) NOT NULL,
    min_value real NOT NULL,
    max_value real NOT NULL,
    description character varying(300)
);


ALTER TABLE public.sensor_type OWNER TO postgres;

--
-- Name: sensor_type_pk_sensor_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sensor_type_pk_sensor_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sensor_type_pk_sensor_seq OWNER TO postgres;

--
-- Name: sensor_type_pk_sensor_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sensor_type_pk_sensor_seq OWNED BY sensor_type.pk_sensor;


--
-- Name: sensor_type_pk_sensor_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('sensor_type_pk_sensor_seq', 2, true);


--
-- Name: pk_buoy; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE buoy ALTER COLUMN pk_buoy SET DEFAULT nextval('buoy_pk_buoy_seq'::regclass);


--
-- Name: pk_buoy_project; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE buoy_project ALTER COLUMN pk_buoy_project SET DEFAULT nextval('buoy_project_pk_buoy_project_seq'::regclass);


--
-- Name: pk_buoy_type; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE buoy_type ALTER COLUMN pk_buoy_type SET DEFAULT nextval('buoy_type_pk_buoy_type_seq'::regclass);


--
-- Name: pk_measure; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE measure ALTER COLUMN pk_measure SET DEFAULT nextval('measure_pk_measure_seq'::regclass);


--
-- Name: pk_measure_freq; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE measure_freq ALTER COLUMN pk_measure_freq SET DEFAULT nextval('measure_freq_pk_measure_freq_seq'::regclass);


--
-- Name: pk_measure_sensor; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE measure_sensor ALTER COLUMN pk_measure_sensor SET DEFAULT nextval('measure_sensor_pk_measure_sensor_seq'::regclass);


--
-- Name: pk_project; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE project ALTER COLUMN pk_project SET DEFAULT nextval('project_pk_project_seq'::regclass);


--
-- Name: pk_satellite; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE satellite_system ALTER COLUMN pk_satellite SET DEFAULT nextval('satellite_system_pk_satellite_seq'::regclass);


--
-- Name: pk_sensor; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE sensor_type ALTER COLUMN pk_sensor SET DEFAULT nextval('sensor_type_pk_sensor_seq'::regclass);






--
-- Name: buoy_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY buoy
    ADD CONSTRAINT buoy_pkey PRIMARY KEY (pk_buoy);


--
-- Name: buoy_platform_id_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY buoy
    ADD CONSTRAINT buoy_platform_id_key UNIQUE (platform_id);


--
-- Name: buoy_project_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY buoy_project
    ADD CONSTRAINT buoy_project_pkey PRIMARY KEY (pk_buoy_project);


--
-- Name: buoy_type_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY buoy_type
    ADD CONSTRAINT buoy_type_name_key UNIQUE (name);


--
-- Name: buoy_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY buoy_type
    ADD CONSTRAINT buoy_type_pkey PRIMARY KEY (pk_buoy_type);


--
-- Name: measure_akey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY measure
    ADD CONSTRAINT measure_akey UNIQUE (buoy, datetime);


--
-- Name: measure_freq_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY measure_freq
    ADD CONSTRAINT measure_freq_pkey PRIMARY KEY (pk_measure_freq);


--
-- Name: measure_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY measure
    ADD CONSTRAINT measure_pkey PRIMARY KEY (pk_measure);


--
-- Name: measure_sensor_ak; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY measure_sensor
    ADD CONSTRAINT measure_sensor_ak UNIQUE (measure, type);


--
-- Name: measure_sensor_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY measure_sensor
    ADD CONSTRAINT measure_sensor_pkey PRIMARY KEY (pk_measure_sensor);


--
-- Name: project_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY project
    ADD CONSTRAINT project_name_key UNIQUE (name);


--
-- Name: project_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY project
    ADD CONSTRAINT project_pkey PRIMARY KEY (pk_project);


--
-- Name: satellite_system_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY satellite_system
    ADD CONSTRAINT satellite_system_name_key UNIQUE (name);


--
-- Name: satellite_system_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY satellite_system
    ADD CONSTRAINT satellite_system_pkey PRIMARY KEY (pk_satellite);


--
-- Name: sensor_type_name_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sensor_type
    ADD CONSTRAINT sensor_type_name_key UNIQUE (name);


--
-- Name: sensor_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sensor_type
    ADD CONSTRAINT sensor_type_pkey PRIMARY KEY (pk_sensor);


--
-- Name: buoy_project_buoy_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY buoy_project
    ADD CONSTRAINT buoy_project_buoy_fkey FOREIGN KEY (buoy) REFERENCES buoy(pk_buoy);


--
-- Name: buoy_project_project_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY buoy_project
    ADD CONSTRAINT buoy_project_project_fkey FOREIGN KEY (project) REFERENCES project(pk_project);


--
-- Name: buoy_system_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY buoy
    ADD CONSTRAINT buoy_system_fkey FOREIGN KEY (system) REFERENCES satellite_system(pk_satellite);


--
-- Name: buoy_type_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY buoy
    ADD CONSTRAINT buoy_type_fkey FOREIGN KEY (type) REFERENCES buoy_type(pk_buoy_type);


--
-- Name: masure_sensor_type_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY measure_sensor
    ADD CONSTRAINT masure_sensor_type_fkey FOREIGN KEY (type) REFERENCES sensor_type(pk_sensor);


--
-- Name: measure_buoy_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY measure
    ADD CONSTRAINT measure_buoy_fkey FOREIGN KEY (buoy) REFERENCES buoy(pk_buoy);


--
-- Name: measure_freq_buoy_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY measure_freq
    ADD CONSTRAINT measure_freq_buoy_fkey FOREIGN KEY (buoy) REFERENCES buoy(pk_buoy);


--
-- Name: measure_project_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY measure
    ADD CONSTRAINT measure_project_fkey FOREIGN KEY (project) REFERENCES project(pk_project);


--
-- Name: measure_sensor_measure_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY measure_sensor
    ADD CONSTRAINT measure_sensor_measure_fkey FOREIGN KEY (measure) REFERENCES measure(pk_measure);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

