//
//  DataDetallView.m
//  Buoys
//
//  Created by Fernando Pérez López on 29/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "DataDetallView.h"


@implementation DataDetallView

@synthesize buoyMeasure,latitude,selectedBuoy,longitude,date,temperature,conductivity,salinity,buoyMeasureNames;


- (void)dealloc
{
    [latitude release];
    [longitude release];
    [date release];
    [temperature release];
    [conductivity release];
    [salinity release];
    [selectedBuoy release];
    [buoyMeasure release];
    [buoyMeasureNames release];
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    buoyMeasure = [[NSMutableArray alloc] init];
    
    NSString *depth = @"0";
    
    [buoyMeasure addObject:self.selectedBuoy];
    [buoyMeasure addObject:latitude];
    [buoyMeasure addObject:longitude];
    [buoyMeasure addObject:date];
    [buoyMeasure addObject:temperature];
    [buoyMeasure addObject:conductivity];
    [buoyMeasure addObject:salinity];
    [buoyMeasure addObject:depth];
    
    
    buoyMeasureNames = [[NSMutableArray alloc] init];
    
    [buoyMeasureNames addObject:@"Buoy ID:"];
    [buoyMeasureNames addObject:@"Latitude N:"];
    [buoyMeasureNames addObject:@"Longitude E:"];
    [buoyMeasureNames addObject:@"Date:"];
    [buoyMeasureNames addObject:@"Temperature Celsius:"];
    [buoyMeasureNames addObject:@"Conductivity mS/cm:"];
    [buoyMeasureNames addObject:@"Salinity psu:"];
    [buoyMeasureNames addObject:@"Depth meters:"];
    
    self.navigationItem.title = @"Measure Detail";
    
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

// Customize the number of sections in the table view.
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    //Fijamos que la lista sea igual al numero de boyas
    return 1;
}


- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [buoyMeasure count];
}




// Da diferente color a cada fila de la tabla

- (void)tableView:(UITableView *)tableView willDisplayCell:(UITableViewCell *)cell forRowAtIndexPath:(NSIndexPath *)indexPath {
    
    if ([indexPath row] % 2) {
        
        cell.backgroundColor = [UIColor colorWithRed:0.95 green: 0.95 blue:0.95 alpha:1];
    } else {
        
        cell.backgroundColor = [UIColor clearColor];
    }
     
     
 }


- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        //cell = [[[UITableViewCell alloc] initWithFrame:CGRectZero reuseIdentifier:CellIdentifier] autorelease];
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleValue1 reuseIdentifier:CellIdentifier] autorelease];
    
    
    
            
    }
    
    
    // Set up the cell...
    NSString *cellValue = [buoyMeasure objectAtIndex:indexPath.row];
    NSString *cellDetail = [buoyMeasureNames objectAtIndex:indexPath.row];    
    //cell.text = cellValue;
    cell.textLabel.text = cellDetail;
    cell.detailTextLabel.text = cellValue;
    cell.textLabel.textColor = [UIColor blueColor];
    cell.textLabel.font = [UIFont systemFontOfSize:16];
    cell.detailTextLabel.font = [UIFont systemFontOfSize:14];
    
    return cell;
}



@end
