//
//  RootViewController.m
//  Buoys
//
//  Created by Fernando Pérez López on 18/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "RootViewController.h"
#import "BuoyDetallViewController.h"
#import "AboutViewController.h"

@implementation RootViewController

@synthesize buoys,myAboutViewController;

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    //Inicializamos array
    
    
    buoys = [[NSMutableArray alloc] init];
 
    
    // Actualizamos datos desde URL
    
    NSString *docsDir = [NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) lastObject];
    
     NSString *fileToDownload = @"buoys.plist";
     NSString *hostURLString = @"http://tarod.cmima.csic.es/iOSFiles";
     hostURLString = [hostURLString stringByAppendingPathComponent: fileToDownload];
     NSURL *pListURL = [NSURL URLWithString: hostURLString];
     NSData *pListURLData = [NSData dataWithContentsOfURL: pListURL];
     
    
     NSString* filepath = [docsDir stringByAppendingPathComponent: fileToDownload];
    
    BOOL ok = [pListURLData writeToFile: filepath atomically: YES];
    
    
    //Salvamos log de la descarga de datos y mostramos avisos de descarga de datos
    if (ok) {
        NSLog(@"File download and saved");
        
        
        //Alerta de que los datos han sido actualizados, la quito porque me parece que queda muy pesado para el usuario
        
         
        UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Data Updated!!" message:@"Buoys data has been updated!!" delegate:nil cancelButtonTitle:@"OK" otherButtonTitles: nil];
        
        [alert show];
        
        [alert release];
         
        
            }
    else {
        NSLog(@"Impossible download plist");
        
        UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Error updating data!!" message:@"Impossible updated data, you can view your local data" delegate:nil cancelButtonTitle:@"OK" otherButtonTitles: nil];
        
        [alert show];
        
        [alert release];
        
    }
   
        
    NSMutableArray  *plistData = [[NSMutableArray arrayWithContentsOfFile:filepath]retain];
    
   //Leemos key code para cada diccionario de cada boya 
    
   for(NSDictionary *dict in plistData) {
    
       NSString *value;
        value = [dict objectForKey:@"Buoy"];
        [buoys addObject:value];
    }
    
    
    // About Buttom
	UIButton* AboutViewButton = [UIButton buttonWithType:UIButtonTypeInfoLight];
	[AboutViewButton addTarget:self action:@selector(AboutViewAction:) forControlEvents:UIControlEventTouchUpInside];
	UIBarButtonItem *AboutBarButtonItem = [[UIBarButtonItem alloc] initWithCustomView:AboutViewButton];
	self.navigationItem.rightBarButtonItem = AboutBarButtonItem;
	[AboutBarButtonItem release];


    self.navigationItem.title = @"Buoys";
    
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

/*
 // Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations.
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
 */

// Customize the number of sections in the table view.
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    //Fijamos que la lista sea igual al numero de boyas
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [buoys count];
}

// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }

    
    //Configuramos lo que se mestra en pantalla
    NSString *cellVaule = [buoys objectAtIndex:indexPath.row];
    
    
    cell.textLabel.text = cellVaule;
   
    // Configure the cell.
    cell.accessoryType = UITableViewCellAccessoryDetailDisclosureButton;
    
    return cell;
}

/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/




/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete)
    {
        // Delete the row from the data source.
        [tableView deleteRowsAtIndexPaths:[NSArray arrayWithObject:indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }
    else if (editingStyle == UITableViewCellEditingStyleInsert)
    {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view.
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/


/* Quitado por deprecated
// añadido 
- (UITableViewCellAccessoryType)tableView:(UITableView *)tableView accessoryTypeForRowWithIndexPath:(NSIndexPath *)indexPath {
    
    return UITableViewCellAccessoryDetailDisclosureButton;
    //return UITableViewCellAccessoryDisclosureIndicator;
}

*/

//añadido
- (void)tableView:(UITableView *)tableView accessoryButtonTappedForRowWithIndexPath:(NSIndexPath *)indexPath {
    
    [self tableView:tableView didSelectRowAtIndexPath:indexPath];
}



// Da diferente color a cada fila de la tabla

- (void)tableView:(UITableView *)tableView willDisplayCell:(UITableViewCell *)cell forRowAtIndexPath:(NSIndexPath *)indexPath {
    
    if ([indexPath row] % 2) {
        
        cell.backgroundColor = [UIColor colorWithRed:0.95 green: 0.95 blue:0.95 alpha:1];
    } else {
        
        cell.backgroundColor = [UIColor clearColor];
    }
    
    
}




- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    
    NSString *selectedBuoy = [buoys objectAtIndex:indexPath.row];
    
    //inicializamos view controller
    BuoyDetallViewController *buoyDetallViewController = [[BuoyDetallViewController alloc] initWithNibName:@"BuoyDetallViewController" bundle:[NSBundle mainBundle]];
    
    //Pasamos la variable
    buoyDetallViewController.selectedBuoy = selectedBuoy;
    
    
    // Pass the selected object to the new view controller.
    [self.navigationController pushViewController:buoyDetallViewController animated:YES];
    [buoyDetallViewController release];
    buoyDetallViewController = nil;
	
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Relinquish ownership any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload
{
    [super viewDidUnload];

    // Relinquish ownership of anything that can be recreated in viewDidLoad or on demand.
    // For example: self.myOutlet = nil;
}

- (void)dealloc
{
    [buoys release];
    [super dealloc];
}

- (IBAction)AboutViewAction:(id)sender
{
    if (self.myAboutViewController == nil)
        self.myAboutViewController = [[[AboutViewController alloc] initWithNibName:
                                       NSStringFromClass([AboutViewController class]) bundle:nil] autorelease];
    
	[self.navigationController presentModalViewController:self.myAboutViewController animated:YES];
}


@end
